StandardEngineSF (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.StandardEngineSF class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class StandardEngineSF

    java.lang.Object
      org.apache.catalina.storeconfig.StoreFactoryBase
          org.apache.catalina.storeconfig.StandardEngineSF

All Implemented Interfaces:
  IStoreFactory

public class StandardEngineSF
extends StoreFactoryBase

Store server.xml Element Engine

Author:
  Peter Rossbach

Field Summary

Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`sm`

Constructor Summary
`StandardEngineSF()`

Method Summary
`void` | `storeChilds(java.io.PrintWriter aWriter, int indent, java.lang.Object aEngine, StoreDescription parentDesc)` Store the specified Engine properties.

Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardEngineSF

    public StandardEngineSF()

Method Detail

### storeChilds

    public void storeChilds(java.io.PrintWriter aWriter,
                            int indent,
                            java.lang.Object aEngine,
                            StoreDescription parentDesc)
                     throws java.lang.Exception

  Store the specified Engine properties.

  Overrides:
    `storeChilds` in class `StoreFactoryBase`
  Parameters:
    `aWriter` - PrintWriter to which we are storing
    `indent` - Number of spaces to indent this element
    `aEngine` - Object whose properties are being stored
    `parentDesc` -
  Throws:
    `java.lang.Exception` - if an exception occurs while storing

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.